Description: make sure to use qualified lookups
Author: Cyril Brulebois <kibi@debian.org>
Bug-Debian: https://bugs.debian.org/667430
Last-Update: 2012-04-04
Index: zthreads/include/zthread/Guard.h
===================================================================
--- zthreads.orig/include/zthread/Guard.h
+++ zthreads/include/zthread/Guard.h
@@ -428,7 +428,7 @@ public:
   template <class U, class V>
   Guard(Guard<U, V>& g) : LockHolder<LockType>(g) {
 
-    LockingPolicy::shareScope(*this, extract(g));
+    LockingPolicy::shareScope(*this, this->extract(g));
 
   }
 
@@ -458,7 +458,7 @@ public:
   template <class U, class V>
   Guard(Guard<U, V>& g, LockType& lock) : LockHolder<LockType>(lock) {
 
-    LockingPolicy::transferScope(*this, extract(g));
+    LockingPolicy::transferScope(*this, this->extract(g));
 
   }
 
